/* FLField */

input[type="text"].flfield,
input[type="email"].flfield,
input[type="date"].flfield, 
input[type="password"].flfield, 
select.flfield, 
textarea.flfield {
    -webkit-appearance: none;
    color: #262626;
    background: rgba(255,255,255,0.9);
    border: 1px solid rgba(0,0,0,0.3);
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.2);
    border-radius: 2px;
    margin: 0 0 12px 0;
    padding: 8px 8px;
    font-family: Regular, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 16px;
}

input[type="text"].flfield.xl,
input[type="date"].flfield.xl, 
input[type="password"].flfield.xl, 
textarea.flfield.xl {
    border-width: 2px;
    box-shadow: inset 0 2px 4px rgba(0,0,0,0.2);
    border-radius: 4px;
    margin: 0 0 20px 0;
    padding: 12px 10px;
    font-size: 26px;
}

input[type="text"].flfield.locked,
input[type="date"].flfield.locked, 
input[type="password"].flfield.locked, 
textarea.flfield.locked {
    color: #999;
    background: rgba(236,236,236,1);
    border: 1px solid rgba(0,0,0,0.2);
}

select.fldropdown {
    -webkit-appearance: none;
    color: #262626;
    background: rgba(230,230,230,1);
    background: url(../bookmarklet/images/fldropdown.png) right center no-repeat, -webkit-gradient(linear, right top, right bottom, color-stop(0%,rgba(249,249,249,1)), color-stop(100%,rgba(230,230,230,1)));
    background: url(../bookmarklet/images/fldropdown.png) right center no-repeat, -moz-linear-gradient(top, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background: url(../bookmarklet/images/fldropdown.png) right center no-repeat, -o-linear-gradient(top, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background: url(../bookmarklet/images/fldropdown.png) right center no-repeat, -ms-linear-gradient(top, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background: url(../bookmarklet/images/fldropdown.png) right center no-repeat, linear-gradient(to bottom, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background-size: 32px 10px, cover;
    border: 1px solid #AFAFAF;
    box-shadow: inset 0 1px 0 rgba(255,255,255,0.6), 0 1px 0 rgba(255,255,255,1);
    border-radius: 2px;
    margin: 0 0 12px 0;
    padding: 8px 8px;
    font-family: Regular, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 16px;    
}

/* 
###################################################################################################################################################################### 
RETINA
######################################################################################################################################################################  
*/

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) { 

select.fldropdown {
    background: rgba(230,230,230,1);
    background: url(../bookmarklet/images/fldropdown-2x.png) right center no-repeat, -webkit-gradient(linear, right top, right bottom, color-stop(0%,rgba(249,249,249,1)), color-stop(100%,rgba(230,230,230,1)));
    background: url(../bookmarklet/images/fldropdown-2x.png) right center no-repeat, -moz-linear-gradient(top, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background: url(../bookmarklet/images/fldropdown-2x.png) right center no-repeat, -o-linear-gradient(top, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background: url(../bookmarklet/images/fldropdown-2x.png) right center no-repeat, -ms-linear-gradient(top, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);
    background: url(../bookmarklet/images/fldropdown-2x.png) right center no-repeat, linear-gradient(to bottom, rgba(249,249,249,1) 0%,rgba(230,230,230,1) 100%);   
    background-size: 32px 10px, cover;
}
    
}